namespace SharpRSS.API.Models
{
    public class Result<TValue>
    {
        public Result(TValue value, bool success = false, string message = "")
        {
            Value = value;
            Success = success;
            Message = message;
        }
        public TValue? Value { get; }
        public bool Success { get; }
        public string Message { get; }
    }
}